# Copyright 2005-2014 Canonical Limited.  All rights reserved.

from functools import wraps

from canonical.lib.serialize import json_dumps


def json(func):
    """Wrap a function to JSON-encode its result."""

    @wraps(func)
    def wrapper(*args, **kwargs):
        return json_dumps(func(*args, **kwargs))

    return wrapper
