#!/usr/bin/python3

# Copyright 2005-2013 Canonical Limited.  All rights reserved.


from distutils.core import setup

VERSION = "14.10"

if __name__ == "__main__":
    setup(
        name="Landscape API Client",
        version=VERSION,
        description="Client for the Landscape API",
        author="Landscape Team",
        author_email="landscape-team@canonical.com",
        url="https://landscape.canonical.com",
        packages=["landscape_api"],
        package_data={"landscape_api": ["schemas.json"]},
        package_dir={"landscape_api": "."},
        scripts=["scripts/landscape-api"],
        data_files=[
            ("share/man/man1", ["man/landscape-api.1"]),
            ("/etc/bash_completion.d", ["etc/bash_completion.d/landscape-api"]),
        ],
    )
