import os
import sys

from canonical.landscape.constants import ROOT_DIR

# We have `hostagent_api` as a git submodule
# (source https://github.com/canonical/landscape-hostagent-api)
# protoc generates that Python code that assumes the top-level
# directory of that git submodule is in our `sys.path` or
# `PYTHONPATH`.
HOSTAGENT_API_DIR = os.path.join(ROOT_DIR, "hostagent_api")
if HOSTAGENT_API_DIR not in sys.path:
    sys.path.append(HOSTAGENT_API_DIR)
