# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface


class IFileBasedConfiguration(Interface):
    """
    Provides a global utility for reading file based configuration values.
    """

    def get(section, key):
        """Return the value for the given section and key.

        @param section: The section to get the value from.
        @param key: The key to get the value for.
        @raises KeyError: If the key was not found in the section.
        """
