import React from 'react';
import ReactDOM from 'react-dom';
import { Elements, StripeProvider } from 'react-stripe-elements';

import { AddBillingDetailsForm } from './add-billing-details-form';

/* global shippingAddress:false accountVAT:false accountType:false formToken:false stripeKey:false stripeClientSecret:false*/

ReactDOM.render(
    <StripeProvider apiKey={stripeKey}>
        <Elements>
            <AddBillingDetailsForm
                formToken={formToken}
                stripeClientSecret={stripeClientSecret}
                shippingAddress={shippingAddress}
                accountVAT={accountVAT}
                accountType={accountType}
            />
        </Elements>
    </StripeProvider>,
    document.getElementById("main-body"));
