
// delayDecorator is a decorator that calls the given function after 100ms
export function delayDecorator(fn) {
    const delayed = function() {
        window.setTimeout(fn, 100);
    };
    return delayed;
}
