# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface, Attribute


class ILandscapeMailer(Interface):

    from_address = Attribute("The from address of the landscape mailer.")

    def send(to_addresses, subject, content):
        """
        Send the unicode string 'content' to 'to_addresses' with 'subject'.
        """


class IEmailView(Interface):
    """Adapts a generic object to an email for a certain L{Person}."""
