# Copyright 2005-2016 Canonical Limited.  All rights reserved.

__all__ = ["InvalidScheduleAfterWindowError", "MAX_SCHEDULE_AFTER_WINDOW"]

__clearlist__ = ["InvalidScheduleAfterWindowError"]

__requires_prefix__ = "landscape."


MAX_SCHEDULE_AFTER_WINDOW = 60 * 24 * 30  # 30 days


class InvalidScheduleAfterWindowError(Exception):
    """
    Raised when the ActivityParent.schedule_after_window is a not a number
    greater than or equal to zero or when it is a value that conflicts with the
    activity's run_window_length time.
    """
