"""Models and logic for utility billing.

Accounts that use utility billing have a Stripe ID assigned to them; those
don't use licenses with computers assigned to them, but rather pay for
machine-managed hours.

Accounts of this type can also have credits associated to them (expressed in
USD cents), which are deducted from the monthly bill.
Credits expire after a certain period of time.
"""
