# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface
from zope.schema import Object

from canonical.landscape.model.main.interfaces import IPerson


class IDashboard(Interface):

    person = Object(
        title="Person",
        description="Person this dashboard is for.",
        required=True,
        readonly=True,
        schema=IPerson,
    )
