# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.action.handler import ActionHandler, action


@action
class GetActiveRulesActionHandler(ActionHandler):
    """
    Get the active rules for an account considering the person's privileges.
    """

    permission = "QueryAlertRule"

    def handle(self):
        self.send_job(account_id=self.context.id, person_id=self.person.id)

    @property
    def namespace(self):
        return self.context.namespace
