# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.component import getUtility

from storm.zope.interfaces import IZStorm


__all__ = ["get_session_store", "get_session_autocommit_store"]


def get_session_store():
    zstorm = getUtility(IZStorm)
    return zstorm.get("session")


def get_session_autocommit_store():
    zstorm = getUtility(IZStorm)
    return zstorm.get("session-autocommit")
