# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface


__all__ = ["ISalesforceConnector"]

__clearlist__ = __all__


class ISalesforceConnector(Interface):
    def get_support_cases_url(salesforce_key):
        """
        Authenticate C{salesforce_key} with Salesforce and get a URL
        to access the support cases system.
        """
