# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from twisted.application.internet import TCPServer


class UploadServer(TCPServer):
    """The package upload server"""

    def __init__(self, port, site, incoming_queue):
        TCPServer.__init__(self, port, site)
        self.incoming_queue = incoming_queue

    def startService(self):
        self.incoming_queue.process()
        TCPServer.startService(self)
