# Copyright 2005-2013 Canonical Limited.  All rights reserved.

article1 = """
= Heading 1

Introduction text.

== Sub-heading 1

Interesting content.

== Sub-heading 2

Even more interesting content.

= Heading 2

Concluding comments.
"""

article2 = """
= Large Heading
== Medium Heading 1
=== Small Heading
==== Tiny Heading

Under this tiny heading, we have some text.

== An Unorderd List Section Heading
Here are some interesting points:
* List item 1
* List item 2
** List item 2.1
** List item 2.2
*** List item 2.2.1
* List item 3

== An Orderd List Section Heading

These things need to be done in order:
# Step 1
# Step 2
# Step 3
## Step 3.1
## Step 3.2
## Step 3.3
### Step 3.3.1
### Step 3.3.2
## Step 3.4
# Step 4

== A Table Section Heading

The following information is easily understandble in a tabular format:
|=|=column 1|=column 2|=column 3|=column 4|=column 5|
|a|entry 1a|entry 2a|entry 3a|entry 4a|entry 5a|
|b|entry 1b|entry 2b|entry 3b|entry 4b|entry 5b|
|c|entry 1c|entry 2c|entry 3c|entry 4c|entry 5c|
|d|entry 1d|entry 2d|entry 3d|entry 4d|entry 5d|
|e|entry 1e|entry 2e|entry 3e|entry 4e|entry 5e|

== A Links Section Heading

An implicit link to Canonical: http://canonical.com/.

An explicit link to Canonical: [[http://canonical.com/]].

A labeled link to [[http://canonical.com|Canonical]].

A knowledge-base-internal link for [[../3|An Article]].
A knowledge-base-internal link for [[../../category/1|A Category]].
"""

article3 = """
= Introduction

Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas nec nisl.
Nulla ornare turpis eu magna. Cras pharetra, ligula eu tristique bibendum, elit
augue ornare lectus, nec consequat ligula metus ac quam. Suspendisse potenti.
Ut fermentum, purus eget tempus lacinia, lorem pede mattis nunc, vel pretium
est erat rutrum felis. Aliquam erat volutpat. Etiam bibendum consectetuer
lorem. Cras euismod eleifend arcu. Nunc quis diam non nibh pharetra faucibus.
Donec elit ante, tempus non, bibendum in, suscipit ac, massa. Curabitur
molestie. Nam viverra, erat eu fermentum fringilla, libero augue mollis enim,
vel commodo sapien velit ut dolor. Nam aliquam risus at lorem.

= Detailed Description

Pellentesque tempor faucibus eros. Donec justo nulla, sollicitudin vitae,
fermentum viverra, vehicula eu, turpis. Proin elit pede, ullamcorper nec,
pretium in, dignissim eu, lectus. Pellentesque laoreet metus at felis.
Suspendisse pede eros, molestie sit amet, tincidunt non, tempor nec, lectus. In
massa. Pellentesque habitant morbi tristique senectus et netus et malesuada
fames ac turpis egestas. Morbi facilisis euismod nulla. Vivamus pellentesque,
velit vel sodales porta, sem enim pharetra sem, ornare dictum mauris augue
feugiat purus. Duis diam est, imperdiet vitae, commodo vel, gravida et, turpis.
Suspendisse lobortis. Pellentesque sit amet odio. Aliquam erat volutpat.

Sed consectetuer vehicula enim. Maecenas non sem id pede convallis aliquam.
Vestibulum aliquet, mi id tempor luctus, sem mauris consequat massa, ac
facilisis augue dolor posuere massa. Suspendisse dui nunc, gravida sed,
tincidunt vel, rutrum at, urna. Donec tincidunt, orci in tempor tincidunt, urna
nulla sagittis lectus, ut laoreet nisl pede id justo. Aliquam at odio. Aliquam
at massa vitae massa cursus tincidunt. Vestibulum urna. Phasellus sagittis
vehicula turpis. In hac habitasse platea dictumst. Nunc velit. Quisque ut
lacus. Duis at massa sit amet pede malesuada luctus. Nullam tincidunt.


= Solutions

Morbi auctor, odio ac dictum pulvinar, mauris tellus vehicula dui, at
ullamcorper libero neque eget purus.

== Option 1

Nulla tincidunt tortor sit amet augue. Nam laoreet purus vel sapien. Sed non
libero. Duis augue. Cras pretium nunc ac risus. Praesent fringilla, nunc a
posuere vehicula, eros arcu tempus odio, vitae viverra massa elit in nunc.

Donec venenatis, est in molestie euismod, ipsum ante rutrum dui, sit amet
lobortis sem sapien nec erat. Duis at urna. Pellentesque molestie pellentesque
eros. Suspendisse pulvinar semper libero. Vivamus elementum placerat neque.

== Option 2

Class aptent taciti sociosqu ad litora torquent per conubia nostra, per
inceptos himenaeos. Fusce interdum cursus mi.

Donec porta elementum risus. Cras id risus. Nam condimentum lorem gravida
massa. Maecenas dignissim. Cras sit amet purus. Pellentesque convallis urna nec
ante. Donec lectus augue, porttitor vel, semper eu, molestie at, enim.

= Conclusion

Morbi erat tellus, rhoncus ac, iaculis id, facilisis vitae, dolor. Cum sociis
natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.
Aliquam rutrum. Fusce interdum blandit libero.
"""
