# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Granting permissions to 'landscape' user
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in GRANTS:
        store.execute(statement)


GRANTS = [
    """
GRANT SELECT
    ON TABLE patch TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE package TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE package_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE relation TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE relation_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE package_relation TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE provides_relation TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE name TO landscape
""",
    """
GRANT SELECT, UPDATE
    ON TABLE name_id_seq TO landscape
""",
    """
GRANT SELECT, INSERT
    ON TABLE relation_name TO landscape
""",
    """
GRANT EXECUTE
    ON FUNCTION add_package_relation(INT, INT, TEXT) TO landscape
""",
]
