# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
A computer_user table is added for landscape.model.resources.user.User
"""
from __future__ import print_function


def apply(store):
    print("Applying computer_user creation patch")
    store.execute(
        """
CREATE TABLE computer_user (
    id SERIAL NOT NULL PRIMARY KEY,
    computer_id INTEGER NOT NULL,
    uid INTEGER NOT NULL,
    username TEXT NOT NULL CHECK(username <> ''),
    name TEXT NOT NULL,
    enabled BOOLEAN NOT NULL)
    """
    )
