# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a trial_account flag to the account table."""
from __future__ import print_function


statements = [
    """
ALTER TABLE account
    ADD COLUMN trial_flag BOOLEAN NOT NULL DEFAULT FALSE
"""
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
