# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add the mailing_list_optin flag for Trial Accounts."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE trial_account
    ADD mailing_list_optin BOOLEAN NOT NULL DEFAULT FALSE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
