# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a speed column to the network_device table."""
from __future__ import print_function


STATEMENTS = [
    """ALTER TABLE network_device ADD COLUMN speed INTEGER""",
    """ALTER TABLE network_device ADD COLUMN duplex BOOLEAN
       NOT NULL DEFAULT FALSE""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
