# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop extra_source field in repository_profile table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE repository_profile DROP COLUMN extra_sources
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
