# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Single gpg_key reference for apt_source"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE apt_source
    ADD COLUMN gpg_key_id INTEGER REFERENCES gpg_key ON DELETE CASCADE
""",
    """
DROP TABLE apt_source_gpg_key
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
