"""
Grant DELETE to the landscape PostgreSQL user on tables mount_info and
 computer_user_group tables.
"""
from __future__ import print_function


STATEMENTS = [
    """
GRANT DELETE ON TABLE mount_info TO landscape
""",
    """
GRANT DELETE ON TABLE computer_user_group TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
