# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop privileges for the landscape_maintenance user.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    user = "landscape_maintenance"

    result = store.execute("SELECT 1 FROM pg_user WHERE usename = ?", [user])
    if result.rowcount:
        store.execute("DROP OWNED BY %s CASCADE" % user)
