# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove NOT NULL constraint on rule.computer_group_id."""


def apply(store):
    store.execute("ALTER TABLE rule ALTER computer_group_id DROP NOT NULL")
    store.execute(
        "UPDATE rule SET computer_group_id = NULL WHERE info_type " "IN (200, 201)"
    )
    store.execute(
        "DELETE FROM computer_group WHERE id IN "
        "(SELECT computer_group_id FROM rule where info_type IN (200, 201))"
    )
