# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Update the stored passwords to have a sha1 prefix."""
from __future__ import print_function


def apply(store):

    print(__doc__)
    store.execute(
        "UPDATE person SET password = 'sha1:'::bytea||password "
        "WHERE password IS NOT NULL"
    )
