# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Generalize provisioning_server table to accept cobbler and maas."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE provisioning_server ADD COLUMN type TEXT NOT NULL,
                                ADD COLUMN credentials TEXT NOT NULL,
                                DROP COLUMN username,
                                DROP COLUMN password
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
