# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add columns for the next run time's end and the run window's duration"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE upgrade_profile ADD COLUMN run_window_length INTEGER
""",
    """
ALTER TABLE computer_request_data ADD COLUMN deliver_before_time TIMESTAMP
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
