# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add filters to pocket."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE pocket
    ADD COLUMN filter_type INTEGER,
    ADD COLUMN filters TEXT[]
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
