# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a table to store the LDS available releases."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE lds_available_release (
    release TEXT PRIMARY KEY)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE lds_available_release TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
