# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove provisioning_server.type. It is always MAAS now."""
from __future__ import print_function

STATEMENTS = [
    """
DELETE FROM provisioning_server WHERE type <> 'maas'
""",
    """
ALTER TABLE provisioning_server DROP COLUMN type
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
