# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove linefeeds from computer titles."""
from __future__ import print_function

STATEMENTS = [
    """
    UPDATE computer SET title = REPLACE(title, '\n', '' );
    """,
    """
    UPDATE computer SET title = REPLACE(title, '\r', '' );
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
