# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create lds_trial table."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE lds_trial (
    id SERIAL PRIMARY KEY,
    creation_time TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC'),
    account_name TEXT NOT NULL,
    expiration_date DATE,
    role_key INTEGER NOT NULL,
    seats INTEGER NOT NULL,
    license_key BYTEA UNIQUE NOT NULL,
    data TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE lds_trial TO landscape, landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE lds_trial_id_seq TO landscape, landscape_maintenance
""",
]


def apply(store):
    print("Disabled patch")
    return

    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
