# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add an index on activity.creator_id."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE INDEX activity_creator_id_idx ON activity (creator_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
