# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Update legacy ModifyRepositories macro permissions to ManageRepository."""
from __future__ import print_function

STATEMENTS = [
    """
UPDATE role_permission SET permission = 'ManageRepository'
    WHERE permission = 'ManageRepositories'
""",
    """
UPDATE role_permission SET permission = 'ViewRepository'
    WHERE permission = 'ViewRepositories'
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
