# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add an index on activity.info_type."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE INDEX activity_info_type_idx ON activity (info_type)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
