# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""MAIN DATABASE: OPERATIONS / PACKAGE MANAGEMENT MAJOR UPGRADE"""
from __future__ import print_function

command_schema = """
CREATE TABLE command (
    id SERIAL NOT NULL PRIMARY KEY,
    creation_time TIMESTAMP NOT NULL,
    account_id INTEGER NOT NULL REFERENCES account ON DELETE CASCADE,
    creator_id INTEGER NOT NULL REFERENCES person ON DELETE CASCADE,
    summary INTEGER)
"""


def apply(store):
    print("start of patch 16: %s" % __doc__.strip())
    store.execute("DROP TABLE action_info")
    store.execute("DROP TABLE command")
    store.execute(command_schema)
