# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add Juju environment UUID to pending_computer table.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE pending_computer ADD COLUMN juju_environment_uuid TEXT
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
