"""
Grant DELETE to the landscape postgresql user on person, account,
    meta_release, distribution, ec2_region, and ec2_current_image tables.
"""
from __future__ import print_function


STATEMENTS = [
    """
GRANT DELETE ON TABLE person TO landscape
""",
    """
GRANT DELETE ON TABLE account TO landscape
""",
    """
GRANT DELETE ON TABLE meta_release TO landscape
""",
    """
GRANT DELETE ON TABLE distribution TO landscape
""",
    """
GRANT DELETE ON TABLE ec2_region TO landscape
""",
    """
GRANT DELETE ON TABLE ec2_current_image TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
