# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop unused OpenStack and Juju permissions
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        "DELETE FROM role_permission WHERE permission IN "
        "   ('OpenStackMaintenance', 'ViewJujuEnvironment',"
        "    'ManageJujuEnvironment')"
    )
