# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add new columns to provision_system_request table.
"""
from __future__ import print_function

statements = [
    """
ALTER TABLE provision_system_request ADD COLUMN computer_title TEXT
""",
    """
ALTER TABLE provision_system_request ADD COLUMN architecture TEXT
""",
    """
ALTER TABLE provision_system_request ADD COLUMN os_release TEXT
""",
    """
ALTER TABLE provision_system_request ADD COLUMN mac_address TEXT
""",
    """
ALTER TABLE provision_system_request ADD COLUMN provisioning_server TEXT
""",
    """
REVOKE DELETE on provision_system_request FROM landscape,
    landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
