# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop access_context_root_access_context_id_key unique constraint from
access_context.
"""
from __future__ import print_function

STATEMENT = """
ALTER TABLE access_context
    DROP CONSTRAINT IF EXISTS access_context_root_access_context_id_key
"""


def apply(store):
    print(__doc__)
    store.execute(STATEMENT)
