# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Rename provisioning macro permissions
"""
from __future__ import print_function

statements = [
    """
UPDATE role_permission SET
    permission='ManageMAAS' WHERE permission='ManageProvisioning'
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
