# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Make openstack_endpoints.juju_environment_id unique
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE openstack_endpoints ADD UNIQUE (juju_environment_id)
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
