"""
Add title column to the package_profile table.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE package_profile
    ADD COLUMN title TEXT NOT NULL default ''
""",
    """
UPDATE package_profile SET title = name
""",
    """
ALTER TABLE package_profile
    ALTER COLUMN title DROP DEFAULT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
