"""
Add resynchronize_request table.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    store.execute(
        """
CREATE TABLE resynchronize_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    scopes TEXT[]
)
    """
    )
    store.execute(
        """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE resynchronize_request
    TO landscape, landscape_maintenance
    """
    )
