"""
Create activity entries in the resynchronize_request table for resync requests.
WARNING: This could take several minutes.
"""
from __future__ import print_function

STATEMENTS = [
    """
    INSERT INTO resynchronize_request (activity_id, scopes)
        SELECT id,ARRAY[]::TEXT[] FROM activity WHERE info_type=4 AND
        id NOT IN (SELECT activity_id FROM resynchronize_request);
    """
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
