"""
Add profile_title to removal_profile_created_notice.
"""
from __future__ import print_function

STATEMENTS = [
    "ALTER TABLE removal_profile_created_notice ADD COLUMN profile_title TEXT",
    "ALTER TABLE upgrade_profile_created_notice ADD COLUMN profile_title TEXT",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
