# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Update the custom_graph table."""
from __future__ import print_function

changes = [
    """
ALTER TABLE custom_graph ADD COLUMN script_hash BYTEA NOT NULL
""",
    """
ALTER TABLE custom_graph ALTER COLUMN username SET NOT NULL
""",
    """
ALTER TABLE custom_graph ALTER COLUMN y_axis_title SET NOT NULL
""",
]


def apply(store):
    print(__doc__)

    for statement in changes:
        store.execute(statement)
