# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop package relation tables."""
from __future__ import print_function


STATEMENTS = [
    """
    DROP TABLE relation_name
    """,
    """
    DROP TABLE provides_relation
    """,
    """
    DROP TABLE package_relation
    """,
    """
    DROP TABLE relation
    """,
    """
    DROP FUNCTION get_name_id(text)
    """,
    """
    DROP FUNCTION process_relation()
    """,
    """
    DROP FUNCTION add_package_relation(integer, integer, text)
    """,
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
