"""
Add pending_juju_unit table.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    store.execute(
        """
CREATE TABLE pending_juju_unit (
    secure_id BYTEA NOT NULL PRIMARY KEY,
    name TEXT NOT NULL,
    juju_environment_id INTEGER NOT NULL REFERENCES juju_environment
        ON DELETE CASCADE)
    """
    )
    store.execute(
        """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE pending_juju_unit TO landscape
    """
    )
