# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Remove entries for provisioned systems that were terminated"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        """
        DELETE FROM provisioned_system AS system
        USING terminate_system_request AS request
        WHERE system.id = request.provisioned_system_id
        AND request.progress <> -1
        """
    )
