# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add a target_machine_id column to juju_bootstrap_request.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE juju_bootstrap_request
    ADD COLUMN target_machine_id INTEGER
        REFERENCES maas_target_machine ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
