# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add the execute_script_opinfo and grant required permissions."""


def apply(store):
    store.execute(
        "CREATE TABLE execute_script_opinfo ("
        "    operation_id INTEGER PRIMARY KEY"
        "        REFERENCES operation ON DELETE CASCADE,"
        "    interpreter TEXT NOT NULL,"
        "    code TEXT NOT NULL,"
        "    username TEXT NOT NULL,"
        "    time_limit INTEGER NOT NULL)"
    )
    store.execute(
        "GRANT SELECT, INSERT" "    ON TABLE execute_script_opinfo TO landscape"
    )
