# Copyright 2005-2014 Canonical Limited.  All rights reserved.
"""Add public and min_disk columns to create_glance_image_request table."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE create_glance_image_request"
        "  ADD COLUMN public BOOLEAN NOT NULL DEFAULT FALSE,"
        "  ADD COLUMN min_disk INTEGER"
    )
