# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop provisioned_system, provisioning_registration_otp,
provision_system_request, and terminate_system_request tables.
"""
from __future__ import print_function


TABLES = [
    "provisioning_registration_otp",
    "provision_system_request",
    "terminate_system_request",
    "provisioned_system",
]


def apply(store):
    print(__doc__)
    for table in TABLES:
        store.execute("DROP TABLE %s" % table)
