# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop NOT NULL from the uuid column of juju_environment
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE juju_environment ALTER uuid DROP NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
