# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Support for USNs in the main database.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE salesforce_user TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE salesforce_user_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT
    ON TABLE tag TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE tag_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE computer_tag TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE command TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE command_id_seq TO landscape_maintenance
""",
]
