from __future__ import print_function

# Copyright 2005-2013 Canonical Limited.  All rights reserved.


def apply(store):
    print("Granting permissions to 'landscape_maintenance' in resource schema.")
    for statement in GRANTS:
        store.execute(statement)


GRANTS = [
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE mount_activity TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE mount_activity_id_seq TO landscape_maintenance
""",
    """
GRANT SELECT, INSERT, DELETE
    ON TABLE free_space TO landscape_maintenance
""",
    """
GRANT SELECT, UPDATE
    ON TABLE free_space_id_seq TO landscape_maintenance
""",
]
