# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Add computer_id column to the juju_machine table
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE juju_machine ADD COLUMN
    computer_id INTEGER REFERENCES computer_twin ON DELETE SET NULL
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
