# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop operation order time functions and triggers."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute("DROP TRIGGER update_order_time_on_insert ON operation")
    store.execute("DROP TRIGGER update_order_time_on_update ON operation")
    store.execute("DROP FUNCTION update_operation_order_time_on_insert()")
    store.execute("DROP FUNCTION update_operation_order_time_on_update()")
