# Copyright 2005-2015 Canonical Limited.  All rights reserved.

"""
Create configure_vip_request
"""
from __future__ import print_function

STATEMENTS = [
    """
CREATE TABLE configure_vip_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    maas_server_id INTEGER NOT NULL
                   REFERENCES maas_server(id) ON DELETE CASCADE,
    network TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE configure_vip_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
