# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add foreign key indexes to mount_activity and free_space tables."""
from __future__ import print_function


def apply(store):
    print(__doc__)

    # Create foreign key indexes.
    store.execute(
        "CREATE INDEX free_space_mount_info_id_idx" "    ON free_space (mount_info_id)"
    )
    store.execute(
        "CREATE INDEX mount_activity_mount_info_id_idx"
        "    ON mount_activity (mount_info_id)"
    )
