from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_311 import __doc__

STATEMENTS = [
    # Update of 1.5 million rows of sanitised production data took 185 seconds
    """
UPDATE activity SET status = status + 1 WHERE status in (4,5,6,7)
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
