from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_315 import __doc__

STATEMENTS = [
    """
DELETE FROM activity where info_type = 400
""",
    """
DROP TABLE text_message_notice
""",
    """
CREATE TABLE stored_stub_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    message TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE stored_stub_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
