# Copyright 2005-2015 Canonical Ltd. All rights reserved.

"""
Drop computer_twin.removed from resource store.
WARNING: This could take several minutes.
"""
from __future__ import print_function


STATEMENTS = [
    """
DELETE FROM computer_twin WHERE removed
""",
    """
ALTER TABLE computer_twin DROP COLUMN removed
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
