from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_326 import __doc__

STATEMENTS = [
    """
CREATE TABLE juju_run_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    commands TEXT NOT NULL,
    units TEXT[] NOT NULL,
    timeout INTERVAL NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE juju_run_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
