from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_331 import __doc__


def apply(store):
    print(__doc__)
    store.execute(
        """
        DELETE FROM activity
        WHERE id IN (
          SELECT parent.id
          FROM activity AS parent LEFT JOIN activity AS child
            ON child.parent_id = parent.id
          WHERE parent.info_type = 6
          GROUP BY parent.id
          HAVING COUNT(child.id) = 0)
        """
    )
