from __future__ import print_function
from canonical.landscape.schema.patch_336 import __doc__

STATEMENTS = [
    """
ALTER TABLE region ADD COLUMN admin_token TEXT
""",
    """
UPDATE region SET admin_token='$UNKNOWN$'
""",
    """
ALTER TABLE region ALTER COLUMN admin_token SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
