from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_340 import __doc__

STATEMENTS = [
    """
UPDATE activity AS child
SET creation_time = parent.creation_time
FROM activity AS parent
WHERE child.parent_id IS NOT NULL AND parent.id = child.parent_id
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
