from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_347 import __doc__

STATEMENTS = [
    """
CREATE TABLE feature_flag (
    name TEXT PRIMARY KEY,
    description TEXT NOT NULL,
    enabled BOOLEAN NOT NULL DEFAULT FALSE)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE feature_flag TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
