# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add deliver_after_time timestamp to ComputerRequestDatas."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE computer_request_data ADD COLUMN deliver_after_time TIMESTAMP
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
