# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add many indexes.
"""
from __future__ import print_function

indexes = [
    """
CREATE INDEX computer_account_id_idx ON computer (account_id)
""",
    """
CREATE INDEX device_parent_id_idx ON device (parent_id)
""",
]


def apply(store):
    print(__doc__)
    for index in indexes:
        store.execute(index)
