from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_357 import __doc__

STATEMENTS = [
    """
CREATE TABLE node_maintenance_request (
    activity_id INTEGER NOT NULL REFERENCES activity(id),
    target_machine_id INTEGER NOT NULL REFERENCES maas_target_machine(id)
        ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE node_maintenance_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
