from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_375 import __doc__

STATEMENTS = [
    """
CREATE TABLE tenant_network_setup_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    tenant TEXT,
    cidr TEXT NOT NULL,
    gateway TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE tenant_network_setup_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
