# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create 'Computer reboot required' rules for all accounts."""
from __future__ import print_function

from canonical.landscape.model.main import get_all_accounts
from canonical.landscape.model.computer.alerts import ComputerRebootAlert


def apply(store):
    print(__doc__)
    for account in get_all_accounts():
        rule = account.create_rule(ComputerRebootAlert)
        rule.enable_for_all_computers()
