from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_380 import __doc__

STATEMENTS = [
    """
CREATE TABLE juju_service_set_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    service_name TEXT NOT NULL,
    config TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_service_set_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
