from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_397 import __doc__


STATEMENTS = [
    """
ALTER TABLE activity DROP CONSTRAINT activity_entity_data_id_fkey
""",
    """
ALTER TABLE activity
ADD CONSTRAINT activity_entity_data_id_fkey FOREIGN KEY (entity_data_id)
   REFERENCES account_entity_data(id) ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
