# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Remove session_data with an access_time 60 days or more in the past.
"""
from __future__ import print_function


statements = [
    """
DELETE FROM session_data WHERE access_time < current_date - 60
"""
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
