from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE add_juju_charm_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    charm_url text NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE add_juju_charm_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
