from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_model
    ADD COLUMN provider_type text
""",
    """
UPDATE juju_model
    SET provider_type='<pre-existing>'
    WHERE provider_type IS NULL OR provider_type = ''
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
