from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
DELETE FROM account_entity_data WHERE entity_type = 7
""",
    """
DROP TABLE receipt
""",
    """
ALTER TABLE payment
  ADD COLUMN payment_date TIMESTAMP
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
