# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop all operation-related tables.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    tables = [
        "signal_process_opinfo",
        "create_group_opinfo",
        "generic_user_opinfo",
        "delete_user_opinfo",
        "edit_user_opinfo",
        "add_user_opinfo",
        "add_group_member_opinfo",
        "remove_group_member_opinfo",
        "edit_group_opinfo",
        "delete_group_opinfo",
        "execute_script_opinfo",
        "change_package_opinfo",
        "operation",
    ]
    for table in tables:
        store.execute("DROP TABLE %s" % (table,))
