from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    # The table is currently unused so no entries should be there.  The DELETE is
    # there to ensure the patch doesn't fail in development environments, where
    # sample data might be there.
    """
DELETE FROM payment
""",
    """
ALTER TABLE payment
  ADD COLUMN period_start_date DATE NOT NULL,
  ADD COLUMN period_end_date DATE NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
