from __future__ import print_function

# Copyright 2016 Canonical Ltd. All rights reserved.

from . import __doc__

# This is similar to patch #418.


STATEMENTS = [
    """
ALTER TABLE juju_run_request
    ADD COLUMN actions text[] DEFAULT '{}'::text[] NOT NULL;

"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
