from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_unit RENAME COLUMN state TO agent_status
""",
    """
ALTER TABLE juju_unit RENAME COLUMN state_info TO agent_status_info
""",
    """
ALTER TABLE juju_unit ADD COLUMN workload_status TEXT
""",
    """
ALTER TABLE juju_unit ADD COLUMN workload_status_info TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
