from __future__ import print_function

# Copyright 2005-2017 Canonical Ltd. All rights reserved.
# landscape-lint: noqa

from . import __doc__

from canonical.landscape.application import is_standalone  # noqa
from canonical.landscape.model.main.account import get_all_accounts
from canonical.landscape.model.billing.alerts import FailedBillingAlert


def apply(store):
    print(__doc__)
    if is_standalone():
        return  # The alert only applies to hosted

    for account in get_all_accounts():
        if account.is_self_service:
            account.create_rule(FailedBillingAlert)
