from __future__ import print_function

# Copyright 2017 Canonical Ltd. All rights reserved.

from . import __doc__


def apply(store):
    print(__doc__)

    # Add payment.first_failure.
    store.execute(
        """
        ALTER TABLE payment
          ADD COLUMN first_failure TIMESTAMP
        """
    )

    # Add payment.num_attempts and initialize all existing rows to 0.
    store.execute(
        """
        ALTER TABLE payment
          ADD COLUMN num_attempts INTEGER NOT NULL DEFAULT 0
        """
    )
