from __future__ import print_function

# Copyright 2005-2020 Canonical Ltd. All rights reserved.
# landscape-lint: noqa

from . import __doc__

from canonical.landscape.application import is_standalone

STATEMENTS = [
    """
UPDATE account SET max_people_count = 1000 WHERE account.name = 'standalone'
"""
]


def apply(store):
    if not is_standalone():
        print("Skipping patch_476 because not standalone install.")
        return

    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
