# Copyright 2005-2023 Canonical Ltd. ALl rights reserved.

from . import __doc__


STATEMENTS = [
    "ALTER TABLE removal_profile ADD COLUMN cascade_to_children BOOLEAN DEFAULT FALSE",
]

REVERSE_STATEMENTS = [
    "ALTER TABLE removal_profile DROP COLUMN cascade_to_children",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)


def reverse(store):
    print(f"Reversing patch: {__doc__}")

    for statement in REVERSE_STATEMENTS:
        store.execute(statement)
