# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add creation_time to account_invitation"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE account_invitation ADD COLUMN "
        "creation_time TIMESTAMP DEFAULT (now() AT TIME ZONE 'UTC')"
    )
    store.execute(
        "ALTER TABLE account_invitation "
        "ALTER COLUMN creation_time DROP DEFAULT, "
        "ALTER COLUMN creation_time SET NOT NULL"
    )
