# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename the 'computer' table to 'computer_twin'."""


def apply(store):
    store.execute("ALTER TABLE computer RENAME TO computer_twin")
    store.execute(
        "ALTER INDEX computer_account_id_idx"
        "    RENAME TO computer_twin_account_id_idx"
    )
    store.execute(
        "ALTER TABLE computer_insecure_id_seq"
        "    RENAME TO computer_twin_insecure_id_seq"
    )
