# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add euca_info columns to the cloud_controller table.
"""
from __future__ import print_function

STATEMENTS = [
    "ALTER TABLE cloud_controller ADD endpoint TEXT",
    "ALTER TABLE cloud_controller ADD s3_endpoint TEXT",
    "ALTER TABLE cloud_controller ADD access_key BYTEA",
    "ALTER TABLE cloud_controller ADD secret_key BYTEA",
    "ALTER TABLE cloud_controller ADD certificate_path TEXT",
    "ALTER TABLE cloud_controller ADD cloud_certificate_path TEXT",
    "ALTER TABLE cloud_controller ADD private_key_path TEXT",
    "ALTER TABLE cloud_controller ADD version TEXT",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
