# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add system_configuration table to the schema."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE system_configuration (
    key BYTEA NOT NULL PRIMARY KEY,
    value BYTEA NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE system_configuration TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
