# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add categories to category table"""
from __future__ import print_function
from canonical.landscape.model.knowledge import Category


category_names = [
    "ATI",
    "Atheros",
    "Bluetooth",
    "Broadcom",
    "Compiz",
    "Dapper 6.06",
    "Dell",
    "Display",
    "Ethernet",
    "Evolution",
    "General",
    "Gusty 7.10",
    "HP",
    "Hardy 8.04",
    "IBM/Lenovo",
    "Intel",
    "Intrepid 8.10",
    "Jaunty 9.04",
    "NVIDIA",
    "OpenOffice",
    "Other",
    "Other Networking",
    "Printing",
    "Scanning",
    "Server",
    "Sound",
    "Start/Boot",
    "Thunderbird",
    "Upgrading",
    "VPN",
    "Video",
    "WiFi",
]


def apply(store):
    print(__doc__)
    for name in category_names:
        store.add(Category(name))
    store.commit()
