# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add public_hostname to cloud_instance."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cloud_instance ADD COLUMN public_hostname TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
