# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a public_hostname field to the instance table."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE managed_instance ADD COLUMN public_hostname TEXT
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
