# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Change the device_property int_value to be a numeric field ."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE device_property ALTER COLUMN int_value TYPE NUMERIC(20)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
