# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Change network_traffic.bytes_in and .bytes_out to be a numeric field ."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE network_traffic ALTER COLUMN bytes_in TYPE BIGINT
""",
    """
ALTER TABLE network_traffic ALTER COLUMN bytes_out TYPE BIGINT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
