# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Change active_process.vm_size to be a big integer."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE active_process ALTER COLUMN vm_size TYPE BIGINT
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
