# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add indexes to the network tables."""
from __future__ import print_function


STATEMENTS = [
    """
CREATE INDEX network_device_computer_id_idx ON network_device (computer_id)
""",
    """
CREATE INDEX network_traffic_computer_id_idx ON network_traffic (computer_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
