# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Allow landscape to DELETE monitoring data.
"""
from __future__ import print_function

STATEMENTS = [
    "GRANT DELETE ON TABLE load_average TO landscape",
    "GRANT DELETE ON TABLE memory_info TO landscape",
    "GRANT DELETE ON TABLE temperature TO landscape",
    "GRANT DELETE ON TABLE free_space TO landscape",
    "GRANT DELETE ON TABLE network_traffic TO landscape",
    "GRANT DELETE ON TABLE computer_uptime TO landscape",
    "GRANT DELETE ON TABLE custom_graph_data_point TO landscape",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
