# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add a gpg_key_id column to the repository_pocket table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE repository_pocket ADD COLUMN gpg_key_id INTEGER
    REFERENCES gpg_key ON DELETE CASCADE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
