# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Fix Amazon endpoints in the database."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    query = "UPDATE ec2_cloud SET endpoint=? WHERE endpoint=?"
    store.execute(
        query,
        ("https://ec2.us-east-1.amazonaws.com", "https://us-east-1.ec2.amazonaws.com"),
    )
    store.execute(
        query,
        ("https://ec2.us-west-1.amazonaws.com", "https://us-west-1.ec2.amazonaws.com"),
    )
    store.execute(
        query,
        ("https://ec2.eu-west-1.amazonaws.com", "https://eu-west-1.ec2.amazonaws.com"),
    )
