# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop device and device_property tables."""
from __future__ import print_function


STATEMENTS = [
    """
DROP TABLE device_property
""",
    """
DROP TABLE device
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
