# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename 'mirror_dist' column to 'mirror_suite' in pocket table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE pocket RENAME COLUMN mirror_dist TO mirror_suite
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
