# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add Sales information for TrialAccounts."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE trial_account ADD COLUMN daytime_phone TEXT
""",
    """
ALTER TABLE trial_account ADD COLUMN company_size INTEGER
""",
    """
ALTER TABLE trial_account ADD COLUMN country TEXT
""",
    """
ALTER TABLE trial_account ADD COLUMN region TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
