# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.model.package.autoupgrade import run_upgrade_profiles
from canonical.landscape.model.activity.computer import cancel_expired_activities
from canonical.landscape.scripts.batch import BatchScript


class ProcessProfiles(BatchScript):
    """Create auto-upgrade package activities for active profiles."""

    _name = "landscape-profiles"
    _config = "scripts"
    _setup_amqp = True

    def run(self):
        run_upgrade_profiles()
        cancel_expired_activities()


run = ProcessProfiles()
