# Copyright 2005-2013 Canonical Limited.  All rights reserved.

import transaction

from zope.event import notify

from canonical.landscape.model.events import SchemaMaintenanceEvent
from canonical.landscape.scripts.batch import BatchScript


class SchemaMaintenance(BatchScript):
    """Performance schema maintenance tasks like table partitioning."""

    _name = "schema-maintenance"
    _config = "schema"

    def run(self):
        notify(SchemaMaintenanceEvent())
        transaction.commit()


run = SchemaMaintenance()
