# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.landscape.service.collection.operation import CollectionOperation


class GetAccessContexts(CollectionOperation):
    """Get L{AccessContext}s in the account.

    @ivar context: The AccessContextCollection returning matching entities.
    """

    _requires = "ViewAccessContextManagement"

    def _perform(self, collection):
        return list(collection.find())
