# Copyright 2005-2014 Canonical Limited.  All rights reserved.

from canonical.landscape.service.activity.operation import ActivityChildrenOperation


class CancelChildActivities(ActivityChildrenOperation):
    """Cancel activities matching the specified criteria."""

    _status_update_method = "cancel"
    _exclusion_method = "is_cancelable"
    _noun = "cancelation"

    def _get_operation_summary(self):
        return "Canceled activities in group."
