# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.model.billing.management import BillingManagement
from canonical.landscape.service.lookup import ServiceLookup


class BillingServiceLookup(ServiceLookup):
    """Lookup a context for billing-related operations"""

    _requires = "ViewBilling"

    def _perform(self, account):
        return BillingManagement(account)
