# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.service.operation import ServiceOperation
from canonical.landscape.model.billing.usage import get_usage_summary


class GetUsageSummary(ServiceOperation):
    """Operation for retrieving current computer utilisation and costs."""

    _requires = "ViewAccount"

    def _perform(self):
        """Return utilisation and costs for each machine type."""
        return get_usage_summary(self.context)
