# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface
from zope.schema import Object

from canonical.landscape.model.main.interfaces import IAccount


class IAlertRules(Interface):

    account = Object(
        title="Account",
        description="The account to get rules from.",
        required=True,
        schema=IAccount,
    )


class IAlertView(Interface):
    """Provides details about L{Rule} objects."""
