# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.routes import route

from canonical.landscape.model.package.profile import PackageProfileActivities

from canonical.landscape.ui.routes import LandscapeRoutes


class PackageProfilesRoutes(LandscapeRoutes):
    @route("<id>", id_pattern="\d+")
    def profiles(self, id):
        return self.context.get_package_profile_by_id(int(id))


class PackageProfileRoutes(LandscapeRoutes):
    @route("activities")
    def activities(self):
        return PackageProfileActivities(self.context)
