# Copyright 2005-2014 Canonical Limited.  All rights reserved.


class UnableToUploadBlob(Exception):
    """Couldn't upload blob to https://launchpad.net/+storeblob"""


class UnexpectedResponse(Exception):
    """Got an unexpected response from https://launchpad.net/+storeblob"""

    def __init__(self, response):
        self.response = response
