# Copyright 2017 Canonical Limited.  All rights reserved.


def iter_lineage(obj, sentinel=None):
    """Yield obj, obj.parent, obj.parent.parent, etc."""
    while obj is not sentinel:
        yield obj
        obj = getattr(obj, "parent", sentinel)
