# Copyright 2005-2013 Canonical Limited.  All rights reserved.


def splice(sequence, splice_size):
    """Split a sequence into a group of splice size sequences."""
    for i in range(0, len(sequence), splice_size):
        yield sequence[i : i + splice_size]
