# Copyright 2005-2013 Canonical Limited.  All rights reserved.

# Details of the sample@archiver.com key in the sample keyring.
SAMPLE_KEY_FINGERPRINT = "b6a7:2bb0:2a06:be4a:0d05:0beb:40a6:38a9:5fa6:9f40"

SAMPLE_KEY_ID = "40A638A95FA69F40"

SAMPLE_KEY_MATERIAL = """-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)

mQENBE4xHgQBCADESzhTFEYYCOrvxBCnwtdQZa2DNDf/RbgEEOW/XEh3E5j9kUPj
Ci8pOnAXPkVXmT5+um1o8b4bzP4BmGbxemmCdPksJxMt6Qq7n88406M6QPaLj/oz
Q5/FQZlxit3c4SeKQq6duAQvUl54+16PM3CZSsC6MKh3ZUB7ge7WmkNFsCpJ41bO
+I+cn7t1BUn+FE+JAg77bdsrYk+B25XtGblp0IWAHxIps7UlmXp5dWVlSDzhnJJh
xUZNtIS2KE8cZKc1S0xKqoj2XDfM3cLT2jRl02ueBWBAjDBwGzrNsxCk6SYldHBj
mRLAz3JsfEbxU/8oxV6IV3nT31qlTqgRAfczABEBAAG0JVNhbXBsZSBBcmNoaXZl
ciA8c2FtcGxlQGFyY2hpdmVyLmNvbT6JATgEEwECACIFAk4xHgQCGwMGCwkIBwMC
BhUIAgkKCwQWAgMBAh4BAheAAAoJEECmOKlfpp9AeSQIAJ6OTIKAhQlUcf6lZMOI
wMCaYheuIZNVfqWAwxlg/inSIRmL2hp63rWs3g8Xw8KoX3NM70/JmbdjQET/boCd
iZcOIcT2bTiKcWG5aokN0Uxi37rBT3zSSdnvAmpPNxoRpP1YcWqFc3mHasUNWb8m
3QsH5cUqRHH12ASWlc3Ejk6dK/EGuv7FiLroUZ0TvMUU07K2Htmm0Rwdq5fyGd1R
gAgcILPIpXxl7fpGJAScaMc/KFB/AnobDMsDrYN5izgJGqbYhpZ/GCOhDi2qEKPy
Gz7T11eQffqX11f29RwDlA/KeADBBYjISBRZXfcalF9E2Kgdq1Ak0VeI7leW7tZE
xlW5AQ0ETjEeBAEIAOt3uROkd1qtJjWt9zabs1yw27perfsuw8p6SIwI5TkkLKcr
CWhTfb2GhSqmf3KH3kKQ6wlchANwnujJGGmJWjAKG0kD40xcowiR7dWHYYb9U7pr
PNpXt5tnzZFr2/466rZsgO8rp0CHtbjU6Yno5Hnz3OEBBjNilXGQeNNVuIghVT3O
j7s2bC/iKZ1QdWDiTt/DvKAADeUl2fA+IcLlnt61j522N/SHa8VQabrYhI9vTFgj
7+hQNa+nDlpmsVAv7K2jNDDzK6szOOF3y8kmBysLjXvaJevdquHmb9j4QWrQelEc
R3tlyxhjn0YpESUSPLRKMVf/6Z0uU+Ago0ol0PEAEQEAAYkBHwQYAQIACQUCTjEe
BAIbDAAKCRBApjipX6afQCwqB/4/jXiG3DxwwLkRwhbJp/oeR1kCW7fxq2SUDDLy
w70+7R8juVqqwiQZ9bGfAUt1CrqIRz6t27NFd9lrAkHS9JdQvMg3FPUHQVlmQyUd
s+q3SCOfTMAxhE/YFfYSkW8W4IY/UicFWhcjhhdVg5EuCX8MhaSqq5dsYroYts7B
fWH9iqG6FBXiLTViDlhWt1lO9BTKUYgKAdzAWUUXU7jzIwtC92B2s2zAukH155Jb
z0VUqAw/HnoDDE/boZ2h4e6Uh+W6REEgQjyCen11EumqHJo5vC9fImDoIguRZNhR
0noNWLGOWDAbqSlb45mbnQgNuf4hfBmdbycGnvknDYbuFwNZ
=6rz8
-----END PGP PUBLIC KEY BLOCK-----
"""

SAMPLE_SECRET_KEY_FINGERPRINT = "f44d:cc48:31ec:d85d:013f:" "22f3:a442:42b3:8d39:6f93"

SAMPLE_SECRET_KEY_ID = "A44242B38D396F93"

SAMPLE_SECRET_KEY_MATERIAL = """-----BEGIN PGP PRIVATE KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)

lQOYBE5AMd4BCADs3S5jVTJDdESAcXm1v2a1dzIFIQ9lHgnqJV0v9/7yiiiK+ZHu
cr8fAp4dSuwjN0N48VYf5XQo9PSHrk2qy+zbtC92ufLjjV0BawW5J7MGGETaDcpE
+YnNxrKpJSRaGit4yDmOqFREhitA+BfP2uoSTzA/XVOOsxMdHGXVu9hJ+f2ppDWA
k7IFL7RkvYIzF4YeP5NqjyARlwAIZ3Ho60Z0OYKbu34sZ3V9v384yU1f+JhvgsYw
bfzVbasZ6EW7yNRIG702RXDUixnkhnN16DZ4DyS0+M/2j7cocGMUww86p6MPR6tj
a1Oj9RNfnmf1ex4P2rvQ7lImoc3Wjr/UcrlxABEBAAEAB/4gDyZ6hAsuksERespq
GBg9vX6ur7UsDtnGsFH27nkPuOAYl1jyI453aFz1mAYdahsey9jIA8AqKaV4loCl
T76k/162kh/W6XOff9h2zBxwrxOP8/KJosDNHPS3l3MJIvuj+G3ElPH66FyttCan
l84Qtlklv8BR0y5mGp7fQ/KCvdRhodjmWdBxcAqp8o6XsJPrMk8gb9eRISG9zrB1
Akt1anar5iAJ9XKpYshHS/ubUjAw9JxfbSeT2/b8DHftrRcCYkhLYfDLhqa1bFFl
FAF10RfPLgwx6RYaswN1rkAs7J3lqwf9wrpAYh9784KGupH78474LvnuOKr9qDuV
skIlBADz2M43Nj/vPcs7JN1nrCulK6eH5Puoq6DtOMZDs8JrfzzSWtiS0iIfueRL
DzK75QI4x2LdU8o+7ubPvS6R3oLc7yajl6QfWE9VyJ9ZpWBNKOZOQYbGQabW3Fsq
Dl/qy+U4uiQ9+BufBeVOr1/Hlz0irrcRKdvu0r8Ici7lhsG4zwQA+KtIOd8UxkX4
GbjwESZjeixWMiJusE+/XihEKALryvKpR6TTYAXF8n2Y/SIgA1+SAI7eNtdXzP53
EyiF/FZ+1Hh7z0uBf+OC60UsEBY8b5do3ErGoEgKa8QFzooaqzR3vWTNTI2pxLVo
iWDl+5uTtIWpJcSspIlYufQ8ffFweb8D/3zRwaQzVKUyeN85PQCcYhUqReoevo+D
kVBIOidfa7c5nVv9ECFXyI/UNsY6cAbS7Y+xUxkKcqVTzfk5wW+moeV6wF3jUZj5
/HJPdTjuuRwo8x4g7RPiSnfu16II1KeU+FdTUBObOrn8R67CH/eX9/jQqKT9LDlx
tl7dd6xeyOyyTga0G1Rlc3QgS2V5IDx0ZXN0QGV4YW1wbGUuY29tPokBOAQTAQIA
IgUCTkAx3gIbAwYLCQgHAwIGFQgCCQoLBBYCAwECHgECF4AACgkQpEJCs405b5Pe
MAf/ST1eg/n5N+69lm6mKK8jGTnqS+juy4JNQ30CkNPzNmaEVGyDl88fb2s3izC2
euSt89EhObGAvSda3IWvHIVZxdWp0kjhddqQ0PPfDoXsQYZCmYUCiehzHx8ctgPZ
NNBTgB1wYB12G7jTHSCY8KyqfudERcR1OYGLiefRfVVUuKObuYLGIPIRYfXPuFbm
SG5s3MuFtUKwGlKBr2KUcvwXHEmqCoUXJNzD69R7D2XEm9y7I7k03NqztRmJ4lX+
L6lM+rMlJLlwZYckpxRmLZyK458FERKH75XmiNVetlZfsmruatGgYoAATjdxbbAj
pnjYkpVrTL1MS0PgCl6bzvRrEp0DmAROQDHeAQgA6/sTSViGuyN9UwvcLCUkXFGK
DdyeHmMOoPR8UkmSM+2n5JMiho1CbDbJ7XDbIRNyswgw1EN8es9K4eVa/hTaJswM
n8Qoi0zW26x2oXbC8uHeyFNMh3bJQwY16Jw9T7mPPUfWx5foOOhh0quyKJY+aaxD
sET+YzZwPc8bp8pm3tfGEd0P/Z8SgDxnWRsJ7MucABFRowicLKCe7zQQp2UO1nAR
ZEQuBnNGTE7Y1XYksbZxgDnEBleRpnaPtxzvXF2bRRxOpLbE2aN7VmMN0yO6UbwE
nJRiDOhepRswr1UkCSbPVDxuFs6A2nV/A6EKA/H7MWFPRIInMTFM9+JgRs4WnQAR
AQABAAf7Bc90ex2DO7+09JgvKfsZeRhyNhh/itn/izZZ3/YlyReJ8cEvBsca9+p6
xa4+BwN2kzKZboXhiRiU4cOxnjNJ5837EEKr3joxyXjmoYp4ubLsDFyuCWEttXPF
XLPezUQRYyiOAPNxlAJ3c3t8yIO33QbmfRmbIJA/lUCwj/drhFhu/C7prdlFj/sa
EllPxsmyQmJMHIFJlN1kI1+DtdUMGcPYsAbHB7zB87AA6h8iQCLYCmq9tya1VQhI
4nu/3bey+HDzUlA8bTOGQIzGNMLEoCTWAR6y3mfD4Njz8SuOw+bnazozhwjIibPF
5YBPjfVLFAMg4pXpal3/5it1KCfddQQA76tpygNYZOVyOrbd+32HwSqSRJaKgLNE
uUKBj9MPkQEQ1GLqYfnIgJuMty3VvVZAZg0t1s8m6n2GU8T3iNz3moh7wNLCf36i
AkGn0tN9mXic4Y9XxEC7U6NZFW4dcrjRKZbj1Bzd6V9YesUMcRn/kEWwJiLYLery
56z6JmAhYpMEAPwPUUrT5E5TIrCbkUblfHvK/YSlQdyFUIbytvwltFGneqo53D8/
8WsjrVv2n8NUGHgUbE8QTsWOG9/qbjdAzX0lIkHko4JPv+7+yAN+aQqm3R37aO7Z
Pi89Rt9tFTlbtCYdi5C8z+0E7Sti4JRSyFFvpt1zSuRymTQ+lP3WA3APA/0Qa+tz
4812QG8gl0H7jB0e3hD00z42kn61jDv/o5NzG+RTxmtz9e/gqImY86Ot7hlDOqeJ
pyyDdb2+wMl+aGrP037v9E2CeGfYDuA/kQafQ11z6r3/1cCaltseUXxpiHcc3TYM
VaFqUw4kbVLYyQsiukGkfA1iYSX+w5yQGrhna0utiQEfBBgBAgAJBQJOQDHeAhsM
AAoJEKRCQrONOW+T0gEH/2x1mCUpDYxdidSecQi4DZV8RBN/+ID+7MAj1IsShysE
HdN6J+aUAUNvbwbN/upUm6lmZXOT2FYJFkkEKMb2KNo04wuum86gYtQ7Cc1OUxAh
bZuxSL7t+VCBNhOahV+zyDVHlFp/5HrRc+kTs/shTs3Wr2vU+M38pESCX7n8LN+f
jqj7SfWd7rD1njlrRl5j5rThRv5o55K8XkyPVAh0Ji+LwUgpyI1JLjiZJwP6a35q
EHxw+OvR3LI5kWBwxjuOvQdQwg1ilBxWvIUvFsyUpkdIsFgO6dRZQr2BOCwPjt5p
gYWvjpaqHiuXxQR+YgiokkKL31Nk80KCNuF5yhcK6OQ=
=xwgj
-----END PGP PRIVATE KEY BLOCK-----
"""

SAMPLE_SECRET_KEY_PUBLIC_MATERIAL = """-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)

mQENBE5AMd4BCADs3S5jVTJDdESAcXm1v2a1dzIFIQ9lHgnqJV0v9/7yiiiK+ZHu
cr8fAp4dSuwjN0N48VYf5XQo9PSHrk2qy+zbtC92ufLjjV0BawW5J7MGGETaDcpE
+YnNxrKpJSRaGit4yDmOqFREhitA+BfP2uoSTzA/XVOOsxMdHGXVu9hJ+f2ppDWA
k7IFL7RkvYIzF4YeP5NqjyARlwAIZ3Ho60Z0OYKbu34sZ3V9v384yU1f+JhvgsYw
bfzVbasZ6EW7yNRIG702RXDUixnkhnN16DZ4DyS0+M/2j7cocGMUww86p6MPR6tj
a1Oj9RNfnmf1ex4P2rvQ7lImoc3Wjr/UcrlxABEBAAG0G1Rlc3QgS2V5IDx0ZXN0
QGV4YW1wbGUuY29tPokBOAQTAQIAIgUCTkAx3gIbAwYLCQgHAwIGFQgCCQoLBBYC
AwECHgECF4AACgkQpEJCs405b5PeMAf/ST1eg/n5N+69lm6mKK8jGTnqS+juy4JN
Q30CkNPzNmaEVGyDl88fb2s3izC2euSt89EhObGAvSda3IWvHIVZxdWp0kjhddqQ
0PPfDoXsQYZCmYUCiehzHx8ctgPZNNBTgB1wYB12G7jTHSCY8KyqfudERcR1OYGL
iefRfVVUuKObuYLGIPIRYfXPuFbmSG5s3MuFtUKwGlKBr2KUcvwXHEmqCoUXJNzD
69R7D2XEm9y7I7k03NqztRmJ4lX+L6lM+rMlJLlwZYckpxRmLZyK458FERKH75Xm
iNVetlZfsmruatGgYoAATjdxbbAjpnjYkpVrTL1MS0PgCl6bzvRrErkBDQROQDHe
AQgA6/sTSViGuyN9UwvcLCUkXFGKDdyeHmMOoPR8UkmSM+2n5JMiho1CbDbJ7XDb
IRNyswgw1EN8es9K4eVa/hTaJswMn8Qoi0zW26x2oXbC8uHeyFNMh3bJQwY16Jw9
T7mPPUfWx5foOOhh0quyKJY+aaxDsET+YzZwPc8bp8pm3tfGEd0P/Z8SgDxnWRsJ
7MucABFRowicLKCe7zQQp2UO1nARZEQuBnNGTE7Y1XYksbZxgDnEBleRpnaPtxzv
XF2bRRxOpLbE2aN7VmMN0yO6UbwEnJRiDOhepRswr1UkCSbPVDxuFs6A2nV/A6EK
A/H7MWFPRIInMTFM9+JgRs4WnQARAQABiQEfBBgBAgAJBQJOQDHeAhsMAAoJEKRC
QrONOW+T0gEH/2x1mCUpDYxdidSecQi4DZV8RBN/+ID+7MAj1IsShysEHdN6J+aU
AUNvbwbN/upUm6lmZXOT2FYJFkkEKMb2KNo04wuum86gYtQ7Cc1OUxAhbZuxSL7t
+VCBNhOahV+zyDVHlFp/5HrRc+kTs/shTs3Wr2vU+M38pESCX7n8LN+fjqj7SfWd
7rD1njlrRl5j5rThRv5o55K8XkyPVAh0Ji+LwUgpyI1JLjiZJwP6a35qEHxw+OvR
3LI5kWBwxjuOvQdQwg1ilBxWvIUvFsyUpkdIsFgO6dRZQr2BOCwPjt5pgYWvjpaq
HiuXxQR+YgiokkKL31Nk80KCNuF5yhcK6OQ=
=j3/q
-----END PGP PUBLIC KEY BLOCK-----
"""

# a key with passphrase "test"
SAMPLE_SECRET_KEY_WITH_PASSPHRASE = """-----BEGIN PGP PRIVATE KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)
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=yeOA
-----END PGP PRIVATE KEY BLOCK-----"""

# A secret key expired on 2011-11-07
SAMPLE_EXPIRED_SECRET_KEY_FINGERPRINT = (
    "cdc9:d112:3458:ed45:5c87:" "568b:f8d8:e6d6:33ea:0b0e"
)

SAMPLE_EXPIRED_SECRET_KEY_ID = "F8D8E6D633EA0B0E"

SAMPLE_EXPIRED_SECRET_KEY_MATERIAL = """
-----BEGIN PGP PRIVATE KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)
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=Vz3R
-----END PGP PRIVATE KEY BLOCK-----"""
