# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from canonical.testing.unit import UnitTest
from canonical.testing.resources import (
    ConfigurationContextResourceManager,
    CoreZcmlResourceManager,
    SystemZcmlResourceManager,
)


class SystemTest(UnitTest):
    """Base test for system-related packages with ZCML directives."""

    resources = [
        ("context", ConfigurationContextResourceManager()),
        ("core", CoreZcmlResourceManager()),
        ("system", SystemZcmlResourceManager()),
    ]
