# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.tracer import install_tracer

from canonical.timer.stormtimeout import RequestTimeoutTracer


def storm_timeout(_context, request_limit):
    _context.action(
        discriminator=("install_tracer", RequestTimeoutTracer, request_limit),
        callable=_install_request_timeout_tracer,
        args=(request_limit,),
    )


def _install_request_timeout_tracer(request_limit):
    install_tracer(RequestTimeoutTracer(request_limit))
