#!/bin/bash

# This script is NOT run by standalone by default.

. /opt/canonical/landscape/scripts/landscape-env.sh

SCRIPT_NAME=disable-accounts.sh
LOGGER_NAME=disable-accounts

exit_if_not_running_cron
exit_if_maintenance_mode $LOGGER_NAME

# Get the distributed lock and set a trap to clear it
acquire_lock $SCRIPT_NAME || exit 1
trap "release_lock $SCRIPT_NAME" EXIT

cd ${ROOTDIR}/landscape
set -o pipefail
./disable-accounts 2>&1 | pipe_to_syslog $LOGGER_NAME

exit 0
