#!/bin/bash

. /opt/canonical/landscape/scripts/landscape-env.sh

LOGGER_NAME=meta-releases
SCRIPT_NAME=meta_releases.sh

exit_if_not_running_cron
exit_if_maintenance_mode $LOGGER_NAME

# get the distributed lock and set a trap to clear it
acquire_lock $SCRIPT_NAME || exit 1
trap "release_lock $SCRIPT_NAME" EXIT

set -o pipefail
cd ${ROOTDIR}/landscape && ./meta-releases 2>&1 | pipe_to_syslog $LOGGER_NAME
