from tests.helpers.pages.account.base import AccountBase


REGISTRATION_KEY_LINK = "#registration-key-overlay-link"
REGISTRATION_KEY_OVERLAY = "#registration-key-overlay"
REGISTRATION_PASSWORD = REGISTRATION_KEY_OVERLAY + " .yui3-dialog-content pre"


class AccountDashboard(AccountBase):
    """Account dashboard page."""

    _title = "Account - Landscape"

    def show_registration_key_overlay(self):
        """Make the registration key overlay visible."""
        self._click(REGISTRATION_KEY_LINK)
        self._wait_visible(REGISTRATION_KEY_OVERLAY)

    def get_registration_key(self):
        """Return the registration key."""
        return self._one(REGISTRATION_PASSWORD).text
