# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.model.main.account import get_account_by_name

from benchmark.testing.case import Benchmark
from benchmark.testing.resources import BenchmarkDataResourceManager


class GetActivityParentsBenchmark(Benchmark):
    """Run benchmarks for the GetActivityParents service operation."""

    resources = [("data", BenchmarkDataResourceManager("activity"))]

    def benchmark_operation(self):
        """Placeholder to demonstrate that the runner works.

        Will be replaced with real benchmarking code in follow-up branches.
        """
        account = get_account_by_name("account-1")
        self.assertIsNotNone(account)
