# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from storm.store import EmptyResultSet

from canonical.collection.collection import CollectionBase


class EmptyCollection(CollectionBase):
    """A collection returning no results.

    This is useful for cases where you want to return the collection equivalent
    of Storm's EmptyResultSet, for example when you know upfront that the
    collection will have no matches.
    """

    def _get_result(self, store, where=None, **kwargs):
        return EmptyResultSet()
