// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.page.frontpage", function(Y) {

Y.namespace("landscape.page");

Y.on("domready", function() {
    var field = Y.one("#login_form_email");
    if (!Y.Lang.isNull(field)) {
        field.focus();
    } else {
        Y.one("#login_form_submit").focus();
    }

    var scrollGroup = new Y.ImgLoadGroup({
            name: "scrollGroup",
            className: "yui3-imgload-scrollgroup",
            foldDistance: 25
    });

    if (Y.UA.ie > 0 && Y.UA.ie < 9) {
        Y.use("landscape.notes", function(Y) {
            var notes = new Y.landscape.notes.Notes({contentBox: "#notes"});
            notes.addNote("error", [
                "Internet Explorer is <a href=",
                "'https://help.landscape.canonical.com/",
                "FAQ#What browsers does Landscape support?'>",
                "not a supported browser<", "/a> at the moment. ",
                "Some features will not work."].join(""));
        });
    }
});

}, "0.1", {"requires": ["node", "event", "imageloader"]});
