// Copyright 2005-2014 Canonical Limited.  All rights reserved.

YUI.add("landscape.ui.dialog", function(Y) {

Y.namespace("landscape.ui");

/**
 * Standard overlay for displaying dialogs with a heading, a close button
 * and a body.
 *
 * @class Dialog
 */

var Dialog = Y.Base.create("dialog", Y.Panel, [], {

    BUTTONS: {
        close: {
            action : "hide",
            section: "header",
            template: "<a class='link-button link-button-close' />",
        }
    },

});

Y.landscape.ui.Dialog = Dialog;


}, "0.1", {"requires": ["panel"]});
