// Copyright 2005-2013 Canonical Limited.  All rights reserved.

YUI.add("landscape.ui.table", function(Y) {

Y.namespace("landscape.ui");

/**
 * Table widget based on Y.DataTable.
 *
 * This is a convenience widget that sports all features usually needed for
 * tables, such as progressive enhancement, sorting, row selection, etc.
 *
 * @class Table
 * @extends Y.DataTable
 */

var Table = Y.Base.create(
    "table",
    Y.DataTable.Base,
    [Y.DataTable.Sortable,
     Y.landscape.table.HTMLParser,
     Y.landscape.table.Selectable,
     Y.landscape.table.Total],
    {},
    {});

Y.landscape.ui.Table = Table;

}, "0.1", {"requires": ["datatable-base",
                        "datatable-foot",
                        "datatable-sort",
                        "landscape.table.htmlparser",
                        "landscape.table.selectable",
                        "landscape.table.total"]});
