import PropTypes from 'prop-types';
import React from 'react';

export function PaymentDetailsHeader(props) {
    let className = props.isComplete ? "p-icon--success" : "p-icon--success-grey";
    return (
        <h3 className="p-payment__title">
            <i className={className + " p-icon--title"}></i>
          &nbsp;Payment details &nbsp;&nbsp;
            <small>
                <i className="p-icon--padlock p-icon--title"></i> 128-bit SSL encrypted payment
            </small>
        </h3>
    );
}

PaymentDetailsHeader.propTypes = {
    isComplete: PropTypes.bool
};
