# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface
from zope.configuration.fields import GlobalObject


class IEmailDirective(Interface):

    class_ = GlobalObject(
        title="Class",
        description="Class to use as context for email view.",
        required=True,
    )

    view = GlobalObject(
        title="View", description="Email view class to use with context.", required=True
    )
