# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from storm.variables import UnicodeVariable
from storm.properties import SimpleProperty


__all__ = ["LowercaseUnicode"]


class LowercaseUnicodeVariable(UnicodeVariable):
    def parse_set(self, value, from_db):
        return super(LowercaseUnicodeVariable, self).parse_set(value.lower(), from_db)


class LowercaseUnicode(SimpleProperty):
    variable_class = LowercaseUnicodeVariable
