# Copyright 2005-2022 Canonical Limited. All rights reserved.

from canonical.landscape.model.monitoring.graph import MonitoringGraph, GraphExporter
from canonical.landscape.model.resource.loadaverage import LoadAverage


__all__ = ["LoadGraph", "LoadDataExporter"]

__clearlist__ = ["LoadGraph", "LoadDataExporter"]


class LoadGraph(MonitoringGraph):

    title = "Load average"
    label = "Load"

    monitoring_class = LoadAverage
    monitoring_field = LoadAverage.load_average


class LoadDataExporter(GraphExporter):
    pass
