# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface
from zope.schema import Object
from canonical.landscape.model.selection.interfaces import IComputerSelection


class IReportingManagement(Interface):

    computers = Object(
        title="Computer Selection",
        description="Computer selection being managed.",
        required=True,
        readonly=True,
        schema=IComputerSelection,
    )
