# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.interface import Interface
from zope.schema import TextLine, Int


class ISalesforceConnectorDirective(Interface):

    url = TextLine(title="URL", description="Salesforce self-service proxy URL.")

    session_timeout = Int(
        title="Session timeout",
        description="Maximum time (in seconds) to use a URL retrieved "
        "from the SFI proxy.",
    )
