# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
A new password_recovery table was added to hold the one-time keys for
resetting a password.
"""
from __future__ import print_function

create_password_recovery = """
CREATE TABLE password_recovery (
    person_id INTEGER NOT NULL REFERENCES person ON DELETE CASCADE,
    secure_id TEXT NOT NULL PRIMARY KEY)
"""


def apply(store):
    print("Adding password_recovery table")
    store.execute(create_password_recovery)
