# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename 'contents' column to 'extra_sources' in repository_profile table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE repository_profile RENAME COLUMN contents TO extra_sources
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
