# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Rename metadata and the new annotation table which tracks only computer
annotations.
"""
from __future__ import print_function


STATEMENTS = [
    """
    ALTER TABLE metadata RENAME TO annotation
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
