# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename cobbler_server to provisioning_server."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cobbler_server RENAME TO provisioning_server
""",
    """
ALTER TABLE provision_system_request
    RENAME COLUMN cobbler_server_id TO provisioning_server_id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
