# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Refactor package hold requests."""
from __future__ import print_function


statements = [
    """
CREATE TABLE change_package_hold_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    "create" INT[] NOT NULL DEFAULT '{}',
    remove INT[] NOT NULL DEFAULT '{}')
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE change_package_hold_request TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
