# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop old cloud tables."""
from __future__ import print_function

STATEMENTS = [
    "DROP TABLE ec2_cloud_instance",
    "DROP TABLE cloud_registration_otp",
    "DROP TABLE cloud_instance",
    "DROP TABLE ec2_cloud",
    "DROP TABLE cloud",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
