# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add username and password to model for provisioning server."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE provisioning_server ADD COLUMN username TEXT NOT NULL
""",
    """
ALTER TABLE provisioning_server ADD COLUMN password TEXT NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
