# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Upgrade Trial Accounts to Trial Licences."""
from __future__ import print_function

STATEMENTS = [
    """UPDATE license SET role_key = 10003 WHERE account_id IN (
    SELECT id FROM account WHERE trial_flag = true)""",
    "ALTER TABLE account DROP COLUMN trial_flag" "",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
