"""
Make hardware_info.id a BIGINT
"""
from __future__ import print_function

STATEMENTS = [
    """
    ALTER TABLE hardware_info ALTER COLUMN id TYPE BIGINT
    """,
    """
    ALTER TABLE hardware_info_key ALTER COLUMN hardware_info_id TYPE BIGINT
    """,
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
