# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add MAAS parameters to provisioned_system."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE provisioned_system ADD COLUMN architecture TEXT NOT NULL,
                               ADD COLUMN os_release TEXT NOT NULL,
                               ADD COLUMN userdata TEXT,
                               ADD COLUMN mac_address TEXT NOT NULL UNIQUE
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
