# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add account_id to table license.
"""
from __future__ import print_function


def apply(store):
    print("Adding account_id to table license")
    store.execute(
        "ALTER TABLE license "
        "ADD COLUMN account_id INTEGER NOT NULL "
        "REFERENCES account ON DELETE CASCADE"
    )
