# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add MAAS state value for provisioning activities."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE provision_system_request DROP COLUMN progress,
                                     ADD COLUMN state TEXT NOT NULL,
                                     ADD COLUMN error TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
