# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add registration_comments field to trial_account
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE trial_account ADD COLUMN registration_comments TEXT
"""
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
