# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename account root access context to 'global'."""
from __future__ import print_function

from canonical.landscape.model.main.accesscontext import AccessContext
from canonical.landscape.model.main.account import (
    DEFAULT_ACCESS_CONTEXT_NAME,
    DEFAULT_ACCESS_CONTEXT_TITLE,
)


def apply(store):
    print(__doc__)

    result = store.find(AccessContext, AccessContext.access_context_id == None)
    result.set(name=DEFAULT_ACCESS_CONTEXT_NAME, title=DEFAULT_ACCESS_CONTEXT_TITLE)
