# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create rules for all accounts that check for unapproved activities.
"""
from __future__ import print_function

from canonical.landscape.model.main import get_all_accounts
from canonical.landscape.model.activity import UnapprovedActivitiesAlert


def apply(store):
    print(__doc__)
    for account in get_all_accounts():
        rule = account.create_rule(UnapprovedActivitiesAlert)
        rule.info.check()
