# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop cloud-related tables."""
from __future__ import print_function

STATEMENTS = [
    """
DROP TABLE cloud_invitation
""",
    """
DROP TABLE node_controller
""",
    """
DROP TABLE storage_controller
""",
    """
DROP TABLE walrus_controller
""",
    """
DROP TABLE cluster_controller
""",
    """
DROP TABLE topology
""",
    """
DROP TABLE availability_zone
""",
    """
DROP TABLE managed_instance
""",
    """
DROP TABLE resource_group
""",
    """
DROP TABLE cloud
""",
    """
DROP TABLE cloud_controller
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
