# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a unique constraint to the account table to ensure that rows with
duplicate names cannot be created.
"""
from __future__ import print_function


def apply(store):
    print("Adding UNIQUE constraint to ensure duplicate account names")
    print("can't be created.")
    store.execute(
        "ALTER TABLE account" "     ADD CONSTRAINT account_name_key UNIQUE (name)"
    )
