# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add reject_computer table."""
from __future__ import print_function

statements = [
    """
CREATE TABLE reject_computer_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    title TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE reject_computer_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
