# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add column role_name to role_added_activity table"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE role_added_activity
    ADD COLUMN role_name TEXT DEFAULT ''
""",
    """
ALTER TABLE role_added_activity
    ALTER COLUMN role_name SET NOT NULL
""",
    """
ALTER TABLE role_added_activity
    ALTER COLUMN role_name DROP DEFAULT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
