# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add code_changed column to script_changed_notice table
"""
from __future__ import print_function

statements = [
    """
ALTER TABLE script_changed_notice ADD COLUMN code_changed BOOL DEFAULT FALSE
"""
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
