# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add container_info field to computer and pending_computer.
"""
from __future__ import print_function

STATEMENTS = [
    "ALTER TABLE pending_computer ADD COLUMN container_info TEXT",
    "ALTER TABLE computer ADD COLUMN container_info TEXT",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
