# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Create savedsearch_created_notice table
"""
from __future__ import print_function

statements = [
    """
CREATE TABLE savedsearch_created_notice (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    name TEXT NOT NULL,
    title TEXT NOT NULL,
    search TExT NOT NULL)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE savedsearch_created_notice TO landscape, landscape_maintenance
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
