# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add computer_twin.removed"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE computer_twin ADD COLUMN removed BOOLEAN NOT NULL DEFAULT FALSE
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
