# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add creation_time to the package table."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE package ADD COLUMN creation_time
    TIMESTAMP NOT NULL DEFAULT (now() AT TIME ZONE 'UTC')
"""
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
