# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Rename access_context's access_context_id and root_access_context_id column
to parent_id and root_id.
"""
from __future__ import print_function

STATEMENTS = [
    """
    ALTER TABLE access_context RENAME COLUMN access_context_id TO parent_id
    """,
    """
    ALTER TABLE access_context RENAME COLUMN root_access_context_id TO root_id
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
