# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop Juju environment UUID from pending_computer table.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE pending_computer DROP COLUMN juju_environment_uuid
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
