# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""MAIN DATABASE: RESOURCE DATABASE REMOVAL"""
from __future__ import print_function

resource_database_removal = """
DROP TABLE resource_database CASCADE;

ALTER TABLE computer RENAME COLUMN resource_database_id TO
resource_database_key;
"""


def apply(store):
    print("start of patch 19: %s" % __doc__.strip())
    store.execute(resource_database_removal)
