# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Make juju_environment.uuid unique.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE juju_environment ADD UNIQUE (account_id, uuid)
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
