# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename columns to reflect new role 'key' concept."""
from __future__ import print_function


def apply(store):
    print("Renaming column license.pack_id to role_key.")
    store.execute("ALTER TABLE license " "RENAME COLUMN pack_id TO role_key")
    print("Renaming column person_access.role_id to role_key.")
    store.execute("ALTER TABLE person_access " "RENAME COLUMN role_id TO role_key")
