# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Use DEBVERSION type for package version."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE EXTENSION debversion
""",
    """
ALTER TABLE package ALTER COLUMN version TYPE DEBVERSION
""",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
