"""
Add profile_title and former_title columns to package_profile_changed_notice.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE package_profile_changed_notice ADD COLUMN profile_title TEXT
""",
    """
ALTER TABLE package_profile_changed_notice ADD COLUMN former_title TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
