# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add profile_title/former_title columns to repository_profile_changed_notice.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        """
        ALTER TABLE repository_profile_changed_notice
            ADD COLUMN profile_title TEXT,
            ADD COLUMN former_title TEXT
        """
    )
