"""
Rename metadata_created_notice to annotation_created_notice and
metadata_removed_notice to annotation_removed_notice.
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE metadata_created_notice RENAME TO annotation_created_notice
""",
    """
ALTER TABLE metadata_removed_notice RENAME TO annotation_removed_notice
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
