"""
Grant DELETE to the landscape postgresql user on the account_twin table.
"""
from __future__ import print_function


STATEMENTS = [
    """
GRANT DELETE ON TABLE account_twin to landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
