# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add juju_service_deploy table.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)

    store.execute(
        """
CREATE TABLE juju_operation (
    juju_environment_id INTEGER NOT NULL REFERENCES juju_environment
        ON DELETE CASCADE,
    activity_id INTEGER PRIMARY KEY REFERENCES activity)
    """
    )
    store.execute(
        """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE juju_operation TO landscape
    """
    )
