# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a add_juju_machine_request table.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE add_juju_machine_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    target_machine_id INTEGER REFERENCES maas_target_machine ON DELETE CASCADE)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE add_juju_machine_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
