# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Rename maas_target_id column on deploy_juju_service_request.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE deploy_juju_service_request
    RENAME COLUMN maas_target_id TO target_machine_id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
