# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add a machine_id column to juju_unit.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE juju_unit ADD COLUMN machine_id TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
