# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add create_glance_image_request table.
"""
from __future__ import print_function


STATEMENTS = [
    """
CREATE TABLE create_glance_image_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    image_url TEXT NOT NULL)
""",
    """
GRANT SELECT, INSERT, DELETE, UPDATE
    ON TABLE create_glance_image_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
