# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Drop the unique constraint on juju_unit.computer_id.
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE juju_unit DROP CONSTRAINT juju_unit_computer_id_key;
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
