# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Update the custom_graph table to have an all_computers flag."""
from __future__ import print_function

changes = [
    """
ALTER TABLE custom_graph ADD COLUMN all_computers BOOL NOT NULL DEFAULT false
""",
]


def apply(store):
    print(__doc__)

    for statement in changes:
        store.execute(statement)
