# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Drop machine_id column from the juju_unit table
"""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE juju_unit DROP COLUMN machine_id
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
