# Copyright 2005-2014 Canonical Ltd. All rights reserved.

"""
Delete data and schema for resynchronize_notice and reject_computer_notice. 15m
"""
from __future__ import print_function

STATEMENTS = [
    """
DROP TABLE reject_computer_notice
""",
    # Drop the info_type definitions (3,700) as defined in
    # canonical.landscape.model.activity.register
    """
DELETE FROM activity WHERE info_type IN (3,700)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
