# Copyright 2005-2015 Canonical Ltd. All rights reserved.

"""
Rename the create_region_networks_request table to openstack_setup_request
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE create_region_networks_request RENAME TO openstack_setup_request
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
