from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_308 import __doc__

STATEMENTS = [
    """
ALTER TABLE activity DROP COLUMN IF EXISTS child_order
""",
    """
ALTER TABLE activity DROP COLUMN IF EXISTS next_child_order
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
