from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_312 import __doc__

STATEMENTS = [
    """
CREATE TABLE create_project_request (
    activity_id INTEGER PRIMARY KEY REFERENCES activity ON DELETE CASCADE,
    username TEXT,
    password TEXT)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE create_project_request TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
