from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_322 import __doc__

STATEMENTS = [
    """
ALTER TABLE account DROP COLUMN managed_hours_start_time
""",
    """
DROP TABLE computer_utilisation
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
