# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add unique constraint on customgraph (title, account)."""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE custom_graph ADD CONSTRAINT custom_graph_account_id_key
    UNIQUE (account_id, title)
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
