from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_334 import __doc__

STATEMENTS = [
    """
ALTER TABLE activity ADD COLUMN
    inprogress_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    queued_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    waiting_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    blocked_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    scheduled_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    succeeded_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    failed_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    canceled_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity ADD COLUMN
    unapproved_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity_parent ADD COLUMN
    scheduled_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity_parent ADD COLUMN
    unapproved_count INTEGER NOT NULL DEFAULT 0
""",
    """
ALTER TABLE activity_parent RENAME COLUMN
    cancelled_count TO canceled_count
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
