from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_338 import __doc__

STATEMENTS = [
    """
ALTER TABLE juju_environment
  ADD COLUMN endpoints TEXT[] NOT NULL DEFAULT '{}'
""",
    """
UPDATE juju_environment
  SET endpoints = ARRAY[endpoint]
  WHERE endpoint IS NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
