from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_349 import __doc__

STATEMENTS = [
    """
DROP TABLE feature_flag
""",
    """
CREATE TABLE enabled_feature (
    name TEXT PRIMARY KEY)
""",
    """
GRANT SELECT, INSERT, UPDATE, DELETE
    ON TABLE enabled_feature TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
