from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_353 import __doc__

STATEMENTS = [
    """
ALTER TABLE add_juju_machine_request ADD COLUMN juju_machine_id TEXT
""",
    """
ALTER TABLE add_juju_machine_request ADD COLUMN parent_id TEXT
""",
    """
ALTER TABLE add_juju_machine_request ADD
    CHECK( NOT (juju_machine_id != NULL AND parent_id != NULL) )
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
