from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_354 import __doc__

STATEMENTS = [
    """
ALTER TABLE add_juju_unit_request ADD COLUMN to_machine TEXT
""",
    """
ALTER TABLE add_juju_unit_request ADD COLUMN juju_unit_name TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
