from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_364 import __doc__


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE node_maintenance_request"
        "  DROP CONSTRAINT node_maintenance_request_activity_id_fkey,"
        "  ADD CONSTRAINT node_maintenance_request_activity_id_fkey"
        "    FOREIGN KEY (activity_id) REFERENCES activity(id)"
        "    ON DELETE CASCADE"
    )
