from __future__ import print_function

# Copyright 2005-2015 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_365 import __doc__

STATEMENTS = [
    """
ALTER TABLE region ADD COLUMN landscape_user_password text
""",
    """
UPDATE region SET landscape_user_password = '<UNKNOWN>'
""",
    """
ALTER TABLE region ALTER COLUMN landscape_user_password SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
