from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_394 import __doc__

STATEMENTS = [
    """
    CREATE TABLE region_log (
    region_id INTEGER NOT NULL PRIMARY KEY,
    logfile BYTEA NOT NULL)
    """,
    """
    GRANT SELECT, UPDATE, INSERT, DELETE ON TABLE region_log
    TO landscape
    """,
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
