from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from canonical.landscape.schema.patch_399 import __doc__

STATEMENTS = [
    """
ALTER TABLE region ALTER hypervisor TYPE text[] USING array[hypervisor]
""",
    """
ALTER TABLE region RENAME hypervisor TO hypervisors
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
