# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create 'Package updates available' rules for all accounts."""
from __future__ import print_function

from canonical.landscape.model.main import get_all_accounts
from canonical.landscape.model.package import PackageUpgradesAlert


def apply(store):
    print(__doc__)
    for account in get_all_accounts():
        account.create_rule(PackageUpgradesAlert)
