# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Computer.next_expected_sequence can now be None."""
from __future__ import print_function


def apply(store):
    print("Making computer.next_expected_sequence accept NULLs.")
    store.execute(
        "ALTER TABLE computer ALTER COLUMN next_expected_sequence " "DROP NOT NULL"
    )
    print("Making computer.next_expected_sequence default to NULL.")
    store.execute(
        "ALTER TABLE computer ALTER COLUMN next_expected_sequence " "DROP DEFAULT"
    )
