from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE activity DROP COLUMN completion_time
""",
    """
ALTER TABLE computer_request_data
  DROP COLUMN approval_time,
  DROP COLUMN delivery_time,
  DROP COLUMN modification_time
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
