from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__


def apply(store):
    print(__doc__)
    store.execute(
        """
        INSERT INTO activity_parent_access
          SELECT DISTINCT parent_id, entity_type, data.access_context_id
          FROM activity JOIN account_entity_data as data
            ON entity_data_id = data.id
          WHERE parent_id IS NOT NULL
        """
    )
