from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE computer
    RENAME COLUMN juju_environment_uuid TO juju_model_uuid
""",
    """
ALTER TABLE computer
     RENAME CONSTRAINT juju_environment_uuid_and_machine_id
     TO juju_model_uuid_and_machine_id
""",
    """
ALTER TABLE pending_computer
    RENAME COLUMN juju_environment_uuid TO juju_model_uuid
""",
    """
ALTER TABLE pending_computer
     RENAME CONSTRAINT juju_environment_uuid_and_machine_id
     TO juju_model_uuid_and_machine_id
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
