from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE invoice
    ADD COLUMN payment_date DATE,
    ADD COLUMN status TEXT,
    ADD COLUMN charge_id TEXT,
    ADD COLUMN status_message TEXT
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
