from __future__ import print_function

# Copyright 2005-2016 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE invoice
  DROP COLUMN account_id,
  DROP COLUMN invoice_id,
  ADD COLUMN data_id INTEGER NOT NULL REFERENCES account_entity_data
   ON DELETE CASCADE
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
