# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create 'Non-compliant package profiles' rules for all accounts."""
from __future__ import print_function

from canonical.landscape.model.main import get_all_accounts
from canonical.landscape.model.package.alerts import PackageProfilesAlert


def apply(store):
    print(__doc__)
    for account in get_all_accounts():
        rule = account.create_rule(PackageProfilesAlert)
        rule.enable_for_all_computers()
