# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop sleep_average and replace with cpu_utilisation.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)


STATEMENTS = [
    """
ALTER TABLE active_process
    DROP COLUMN sleep_average
""",
    """
ALTER TABLE active_process
    ADD COLUMN cpu_utilisation FLOAT(10)
""",
]
