from __future__ import print_function

# Copyright 2005-2018 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
CREATE TABLE cve (
    usn_id  INTEGER NOT NULL,
    id      VARCHAR(30) NOT NULL,

    CONSTRAINT cve_pkey PRIMARY KEY (usn_id, id),
    CONSTRAINT cve_usn_id_fkey FOREIGN KEY (usn_id) REFERENCES usn(id)
        ON DELETE CASCADE
)
""",
    """
GRANT SELECT, INSERT, DELETE ON cve TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
