from __future__ import print_function

# Copyright 2005-2021 Canonical Ltd. All rights reserved.

from . import __doc__

# Update active_process types, in line with patch_64.
STATEMENTS = [
    """
    ALTER TABLE active_process ALTER COLUMN uid TYPE BIGINT
    """,
    """
    ALTER TABLE active_process ALTER COLUMN gid TYPE BIGINT
    """,
    """
    ALTER TABLE historic_process ALTER COLUMN uid TYPE BIGINT
    """,
    """
    ALTER TABLE historic_process ALTER COLUMN gid TYPE BIGINT
    """,
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
