from __future__ import print_function

# Copyright 2005-2022 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    """
ALTER TABLE ONLY public.person
DROP CONSTRAINT person_email_key;
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
