# Copyright 2005-2023 Canonical Ltd. All rights reserved.

from . import __doc__

STATEMENTS = [
    "CREATE EXTENSION pg_trgm",
    "CREATE INDEX name_trgm ON package USING gin (name gin_trgm_ops)",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
