# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add person.identity_url for Launchpad OpenID authentication.
Make person.password optional.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute("ALTER TABLE person ADD COLUMN identity_url TEXT UNIQUE")
    store.execute("ALTER TABLE person ALTER COLUMN password DROP NOT NULL")
