# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Allow us to store duplicate processor-ids from clients.
"""
from __future__ import print_function


changes = [
    """
ALTER TABLE processor
    DROP CONSTRAINT processor_computer_id_key
""",
]


def apply(store):
    print(__doc__)
    for statement in changes:
        store.execute(statement)
