# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
command_result was renamed to action_info, and some new columns were
added
"""
from __future__ import print_function


def apply(store):
    print("Renaming command_result to action_info")
    store.execute("ALTER TABLE command_result RENAME TO action_info")
    print("Dropping action_info.summary")
    store.execute("ALTER TABLE action_info DROP COLUMN summary")
    print("Adding action_info.kind")
    store.execute("ALTER TABLE action_info ADD COLUMN kind BYTEA")
    print("Adding action_info.parameters")
    store.execute("ALTER TABLE action_info ADD COLUMN parameters BYTEA")
    print("Renaming sequence ID table of command_result to action_info")
    store.execute("ALTER TABLE command_result_id_seq RENAME TO " "action_info_id_seq")
