# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
New attributes were added to the Person class in order to track last login time
and last host logged in from.
"""
from __future__ import print_function


def apply(store):
    print("Adding login data columns to person table")
    store.execute("ALTER TABLE person" "    ADD COLUMN last_login_time TIMESTAMP")
    store.execute("ALTER TABLE person" "    ADD COLUMN last_login_host TEXT")
