# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Create computer_packages object for computers that don't have them."""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        "INSERT INTO computer_packages(computer_id) SELECT id FROM "
        "computer_twin WHERE NOT EXISTS (SELECT 1 FROM computer_packages "
        "WHERE computer_id = id)"
    )
