# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Updates plain-text passwords to the new MD5 crypted format."""
from __future__ import print_function

from canonical.landscape.model.main import Person


def apply(store):
    for person in store.find(Person):
        print("Updating the password for %s" % person.email)
        person.password = person._encrypt_password(person.password)
