# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Set NOT NULL on cloud_registration_otp.cloud_instance_id
"""
from __future__ import print_function

STATEMENTS = [
    """
ALTER TABLE cloud_registration_otp ALTER COLUMN cloud_instance_id SET NOT NULL
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
