# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add startup_scripts to cloud instances."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE cloud_instance ADD startup_scripts INTEGER[]
"""
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
