# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Rename network_activity to network_traffic."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE network_activity RENAME TO network_traffic
""",
    """
ALTER TABLE network_activity_id_seq RENAME TO network_traffic_id_seq
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
