# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add a reboot_required column to the computer table. The default value
for existing and new computers is 'false'.
"""
from __future__ import print_function


def apply(store):
    print("Adding computer.reboot_required.")
    store.execute(
        "ALTER TABLE computer ADD COLUMN reboot_required "
        "BOOLEAN NOT NULL DEFAULT false"
    )
