# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Make access context titles unique within the context of a parent access
context.
"""
from __future__ import print_function


def apply(store):
    print("Adding a UNIQUE constraint to access_context.")
    store.execute(
        "ALTER TABLE access_context "
        "ADD CONSTRAINT access_context_access_context_id_key "
        "UNIQUE (access_context_id, title)"
    )
