# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Add constraints to access_context to guarantee that an access context can
never reference itself as a child.
"""
from __future__ import print_function


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE access_context "
        "    ADD CONSTRAINT access_context_check"
        "        CHECK (id <> access_context_id)"
    )
