# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add indexes on provides_relation."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE INDEX provides_relation_provides_id_idx ON
    provides_relation (provides_id)
""",
    """
CREATE INDEX provides_relation_relation_id_idx ON
    provides_relation (relation_id)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
