# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add status field to repository_distribution."""
from __future__ import print_function

statements = [
    """
ALTER TABLE repository_distribution
    ADD COLUMN status INTEGER NOT NULL DEFAULT 0
"""
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
