# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
A new account_invitation table was added to hold invitations of people
to accounts.
"""
from __future__ import print_function


create_account_invitation = """
CREATE TABLE account_invitation (
    secure_id TEXT NOT NULL PRIMARY KEY,
    account_id INTEGER NOT NULL REFERENCES account (id),
    name TEXT NOT NULL,
    email TEXT NOT NULL)
"""


def apply(store):
    print("Adding account_invitation table")
    store.execute(create_account_invitation)
