# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add fields to topology table."""
from __future__ import print_function


STATEMENTS = [
    """
ALTER TABLE topology ADD COLUMN s3_endpoint TEXT
""",
    """
ALTER TABLE topology ADD COLUMN access_key_id BYTEA
""",
    """
ALTER TABLE topology ADD COLUMN access_secret_key BYTEA
""",
    """
ALTER TABLE topology ADD COLUMN certificate_path TEXT
""",
    """
ALTER TABLE topology ADD COLUMN cloud_certificate_path TEXT
""",
    """
ALTER TABLE topology ADD COLUMN private_key_path TEXT
""",
    """
ALTER TABLE topology ADD COLUMN version TEXT
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
