# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add index to hardware_info_key.hardware_info_id."""
from __future__ import print_function

STATEMENTS = [
    """
CREATE INDEX hardware_info_key_hardware_info_id_idx ON
hardware_info_key (hardware_info_id)
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
