# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from builtins import str
import os

from canonical.landscape.constants import ROOT_DIR
from canonical.landscape.environment import get_config_directory


def run():
    config = str(os.path.join(get_config_directory(ROOT_DIR), "service.conf"))
    path = str(os.path.join(ROOT_DIR, "build/go/bin/packagesearch"))
    os.execv(path, [path, "--config", config, "--nopidfile", "--nologfile"])
