# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.service.activity.operation import ActivityChildrenOperation


class UnblockChildActivities(ActivityChildrenOperation):
    """unblock activities matching the specified criteria."""

    _status_update_method = "unblock"
    _exclusion_method = "is_approvable"
    _noun = "approval"

    def _get_operation_summary(self):
        return "Unblocked activities in group."
