# Copyright 2005-2017 Canonical Limited.  All rights reserved.

from canonical.landscape.service.collection.lookup import CollectionLookup
from canonical.landscape.model.billing.collection import PaymentCollection


class PaymentCollectionLookup(CollectionLookup):
    """Return a list of all Payments associated with the account."""

    _requires = "ViewBilling"
    _collection_class = PaymentCollection
