# Copyright 2005-2016 Canonical Limited.  All rights reserved.

from canonical.landscape.model.computer.collection import AccountComputerTwinCollection

from canonical.landscape.service.collection.lookup import CollectionLookup


class AccountComputerTwinCollectionLookup(CollectionLookup):
    """Lookup a collection of AccountComputerTwins.

    @ivar context: The Account to search AccountComputerTwins in.
    """

    _requires = "ViewAccount"
    _collection_class = AccountComputerTwinCollection
