# Copyright 2005-2013 Canonical Limited.  All rights reserved.

from zope.cachedescriptors.property import Lazy

from canonical.url import ContextURL

from canonical.landscape.model.selection.selection import ComputerSelection


class ComputerContextURL(ContextURL):

    alias = "computer"

    path = ""

    @Lazy
    def parent(self):
        selection = ComputerSelection(self.context.account)
        selection.include_computers([self.context])
        selection.select_computers([self.context])
        return selection
