# Copyright 2005-2022 Canonical Limited. All rights reserved.

from twisted.web.resource import Resource

from canonical.landscape.model.feature.flag import is_feature_enabled
from canonical.landscape.ui.billing.download import ReceiptParentResource


class DownloadResource(Resource):
    """Parent resource of download URLs"""

    def __init__(self):
        Resource.__init__(self)
        if is_feature_enabled("self-service"):
            self.putChild(b"receipt", ReceiptParentResource())
