from zope.publisher.browser import BrowserPage
from zope.cachedescriptors.property import Lazy


class AjaxPage(BrowserPage):
    """Base class for views handling AJAX requests."""

    @Lazy
    def page_key(self):
        """Return the page UUID included in the AJAX request.

        @note: You have to require C{Y.landscape.notifications.io} in your
            Javascript module for this to work.
        """
        return self.request.get("HTTP_X_LANDSCAPE_PAGE_KEY")
