from zope.component import getUtility

from canonical.amqp.message.interfaces import IDispatcher
from canonical.content.decorator import json

from canonical.landscape.ui.sandbox.page import SandboxPage
from canonical.landscape.ui.page.ajax import AjaxPage


class SubmissionPage(SandboxPage):
    """Sandbox page exemplifying form submission via AJAX."""

    title = "Submit sandbox"


class SubmissionAjax(AjaxPage):
    @json
    def __call__(self):
        """Handle form submission."""
        expression = self.request.form["expression"]
        dispatcher = getUtility(IDispatcher)
        dispatcher.create_job(
            self.page_key, None, "sandbox-expression", expression=expression
        )
        return {}
