#!/bin/bash

# This script was taken from hydrogen.canonical.com and is originally managed
# by puppet on there.

# This script is NOT run by standalone by default.

. /opt/canonical/landscape/scripts/landscape-env.sh

SCRIPT_NAME=expire-accounts.sh
LOGGER_NAME=expire-accounts

exit_if_not_running_cron
exit_if_maintenance_mode $LOGGER_NAME

# Get the distributed lock and set a trap to clear it
acquire_lock $SCRIPT_NAME || exit 1
trap "release_lock $SCRIPT_NAME" EXIT

cd ${ROOTDIR}/landscape
set -o pipefail
./expire-accounts 2>&1 | pipe_to_syslog $LOGGER_NAME

exit 0
